# GstVulkanDescriptorSet

vulkandescriptorset holds information about a descriptor set.

## GstVulkanDescriptorSet

### Members

`parent` (GstMiniObject) –

the parent GstMiniObject

`set` (VkDescriptorSet) –

the vulkan descriptor set handle

`pool` (GstVulkanDescriptorPool *) –

the parent GstVulkanDescriptorPool for pooling

`cache` (GstVulkanDescriptorCache *) –

the parent GstVulkanDescriptorCache for reuse

`n_layouts` (guint) –

number of layouts applied to this descriptor set

`layouts` (GstVulkanHandle **) –

layouts applied to this descriptor set

Since : 1.18

## GstVulkan.VulkanDescriptorSet

### Members

`parent` (Gst.MiniObject) –

the parent Gst.MiniObject

`set` (Vulkan.DescriptorSet) –

the vulkan descriptor set handle

`pool` (GstVulkan.VulkanDescriptorPool) –

the parent GstVulkan.VulkanDescriptorPool for pooling

`cache` (GstVulkan.VulkanDescriptorCache) –

the parent GstVulkan.VulkanDescriptorCache for reuse

`n_layouts` (Number) –

number of layouts applied to this descriptor set

`layouts` (GstVulkan.VulkanHandle) –

layouts applied to this descriptor set

Since : 1.18

## GstVulkan.VulkanDescriptorSet

### Members

`parent` (Gst.MiniObject) –

the parent Gst.MiniObject

`set` (Vulkan.DescriptorSet) –

the vulkan descriptor set handle

`pool` (GstVulkan.VulkanDescriptorPool) –

the parent GstVulkan.VulkanDescriptorPool for pooling

`cache` (GstVulkan.VulkanDescriptorCache) –

the parent GstVulkan.VulkanDescriptorCache for reuse

`n_layouts` (int) –

number of layouts applied to this descriptor set

`layouts` (GstVulkan.VulkanHandle) –

layouts applied to this descriptor set

Since : 1.18

### Constructors

#### gst_vulkan_descriptor_set_new_wrapped

    GstVulkanDescriptorSet *
    gst_vulkan_descriptor_set_new_wrapped (GstVulkanDescriptorPool * pool,
                                           VkDescriptorSet set,
                                           guint n_layouts,
                                           GstVulkanHandle ** layouts)

Parameters:

`pool` –
No description available
`set` –

a VkDescriptorSet

`n_layouts` –

number of layouts

`layouts` ( [array length=n_layouts]) –

list of GstVulkanHandle containing descriptor set layouts

Returns ( [transfer: full]) –

a new GstVulkanDescriptorSet

Since : 1.18

#### GstVulkan.VulkanDescriptorSet.prototype.new_wrapped

    function GstVulkan.VulkanDescriptorSet.prototype.new_wrapped(pool: GstVulkan.VulkanDescriptorPool, set: Vulkan.DescriptorSet, n_layouts: Number, layouts: [ GstVulkan.VulkanHandle ]): {
        // javascript wrapper for 'gst_vulkan_descriptor_set_new_wrapped'
    }

Parameters:

`pool` (GstVulkan.VulkanDescriptorPool) –
No description available
`set` (Vulkan.DescriptorSet) –

a VkDescriptorSet

`n_layouts` (Number) –

number of layouts

`layouts` ([ GstVulkan.VulkanHandle ]) –

list of GstVulkan.VulkanHandle containing descriptor set layouts

Returns (GstVulkan.VulkanDescriptorSet) –

a new GstVulkan.VulkanDescriptorSet

Since : 1.18

#### GstVulkan.VulkanDescriptorSet.new_wrapped

    def GstVulkan.VulkanDescriptorSet.new_wrapped (pool, set, n_layouts, layouts):
        #python wrapper for 'gst_vulkan_descriptor_set_new_wrapped'

Parameters:

`pool` (GstVulkan.VulkanDescriptorPool) –
No description available
`set` (Vulkan.DescriptorSet) –

a VkDescriptorSet

`n_layouts` (int) –

number of layouts

`layouts` ([ GstVulkan.VulkanHandle ]) –

list of GstVulkan.VulkanHandle containing descriptor set layouts

Returns (GstVulkan.VulkanDescriptorSet) –

a new GstVulkan.VulkanDescriptorSet

Since : 1.18

### Methods

#### gst_vulkan_descriptor_set_ref

    GstVulkanDescriptorSet *
    gst_vulkan_descriptor_set_ref (GstVulkanDescriptorSet * set)

Increases the refcount of the given buffer by one.

Parameters:

`set` –

a GstVulkanDescriptorSet.

Returns ( [transfer: full]) –

set

Since : 1.18

## Constants

### GST_TYPE_VULKAN_DESCRIPTOR_SET

    #define GST_TYPE_VULKAN_DESCRIPTOR_SET (gst_vulkan_descriptor_set_get_type ())

Since : 1.18

The results of the search are